Remove User Groups
/unified/user-directory/groups/remove-user
Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The unique identifier for the group
6 supported6 required
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The unique identifier for the user
6 supported6 required
1 supported
Response Body
Unique identifier for the group.
Date and time when the group was created.
Description of the group.
Type of the group.
teamdepartmentgroup
Name of the group.
Unique identifier for the organization the group belongs to.
Raw data returned from the remote API call.
Date and time when the group was last updated.
curl -X POST 'https://api.truto.one/unified/user-directory/groups/remove-user?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"group_id": "your_group_id",
"user_id": "your_user_id",
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"group_id": "your_group_id",
"user_id": "your_user_id",
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/user-directory/groups/remove-user?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/user-directory/groups/remove-user"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"group_id": "your_group_id",
"user_id": "your_user_id",
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
// Custom method: remove-user
const result = await truto.unifiedApi.remove-user(
'user-directory',
'groups',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
# Custom method: remove-user
result = await truto_api.unified_api.remove-user(
"user-directory",
"groups",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())